net.sourceforge.pmd.lang.jsp.ast

## Interface JspParserVisitor

- All Known Implementing Classes:
    AbstractJspRule, DumpFacade, DuplicateJspImportsRule, JspParserVisitorAdapter, NoInlineStyleInformationRule

      public interface JspParserVisitor

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `visit(ASTAttribute node, Object data)`
    `Object` | `visit(ASTAttributeValue node, Object data)`
    `Object` | `visit(ASTCData node, Object data)`
    `Object` | `visit(ASTCommentTag node, Object data)`
    `Object` | `visit(ASTCompilationUnit node, Object data)`
    `Object` | `visit(ASTContent node, Object data)`
    `Object` | `visit(ASTDeclaration node, Object data)`
    `Object` | `visit(ASTDoctypeDeclaration node, Object data)`
    `Object` | `visit(ASTDoctypeExternalId node, Object data)`
    `Object` | `visit(ASTElement node, Object data)`
    `Object` | `visit(ASTElExpression node, Object data)`
    `Object` | `visit(ASTHtmlScript node, Object data)`
    `Object` | `visit(ASTJspComment node, Object data)`
    `Object` | `visit(ASTJspDeclaration node, Object data)`
    `Object` | `visit(ASTJspDirectiveAttribute node, Object data)`
    `Object` | `visit(ASTJspDirective node, Object data)`
    `Object` | `visit(ASTJspExpressionInAttribute node, Object data)`
    `Object` | `visit(ASTJspExpression node, Object data)`
    `Object` | `visit(ASTJspScriptlet node, Object data)`
    `Object` | `visit(ASTText node, Object data)`
    `Object` | `visit(ASTUnparsedText node, Object data)`
    `Object` | `visit(ASTValueBinding node, Object data)`
    `Object` | `visit(JspNode node, Object data)`

- - ### Method Detail

    - #### visit

          Object visit(JspNode node,
                     Object data)

    - #### visit

          Object visit(ASTCompilationUnit node,
                     Object data)

    - #### visit

          Object visit(ASTContent node,
                     Object data)

    - #### visit

          Object visit(ASTJspDirective node,
                     Object data)

    - #### visit

          Object visit(ASTJspDirectiveAttribute node,
                     Object data)

    - #### visit

          Object visit(ASTJspScriptlet node,
                     Object data)

    - #### visit

          Object visit(ASTJspExpression node,
                     Object data)

    - #### visit

          Object visit(ASTJspDeclaration node,
                     Object data)

    - #### visit

          Object visit(ASTJspComment node,
                     Object data)

    - #### visit

          Object visit(ASTText node,
                     Object data)

    - #### visit

          Object visit(ASTUnparsedText node,
                     Object data)

    - #### visit

          Object visit(ASTElExpression node,
                     Object data)

    - #### visit

          Object visit(ASTValueBinding node,
                     Object data)

    - #### visit

          Object visit(ASTCData node,
                     Object data)

    - #### visit

          Object visit(ASTElement node,
                     Object data)

    - #### visit

          Object visit(ASTAttribute node,
                     Object data)

    - #### visit

          Object visit(ASTAttributeValue node,
                     Object data)

    - #### visit

          Object visit(ASTJspExpressionInAttribute node,
                     Object data)

    - #### visit

          Object visit(ASTCommentTag node,
                     Object data)

    - #### visit

          Object visit(ASTDeclaration node,
                     Object data)

    - #### visit

          Object visit(ASTDoctypeDeclaration node,
                     Object data)

    - #### visit

          Object visit(ASTDoctypeExternalId node,
                     Object data)

    - #### visit

          Object visit(ASTHtmlScript node,
                     Object data)

Copyright © 2002-2013 InfoEther. All Rights Reserved.